Bug 991499 - [abrt] warzone2100-3.1.0-2.fc19: pushbuf_flush: Process /usr/bin/warzone2100 was killed by signal 11 (SIGSEGV)
[abrt] warzone2100-3.1.0-2.fc19: pushbuf_flush: Process /usr/bin/warzone2100 ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
abrt_hash:77aac53197f9267c97409a10d4b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 10:55 EDT by Justin Walker
Modified: 2015-02-17 11:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:31:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (16.76 KB, text/plain)
2013-08-02 10:55 EDT, Justin Walker
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-02 10:55 EDT, Justin Walker
no flags Details
File: core_backtrace (1.27 KB, text/plain)
2013-08-02 10:55 EDT, Justin Walker
no flags Details
File: dso_list (5.75 KB, text/plain)
2013-08-02 10:56 EDT, Justin Walker
no flags Details
File: environ (1.31 KB, text/plain)
2013-08-02 10:56 EDT, Justin Walker
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-02 10:56 EDT, Justin Walker
no flags Details
File: maps (32.89 KB, text/plain)
2013-08-02 10:56 EDT, Justin Walker
no flags Details
File: open_fds (489 bytes, text/plain)
2013-08-02 10:56 EDT, Justin Walker
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-08-02 10:56 EDT, Justin Walker
no flags Details
File: var_log_messages (233 bytes, text/plain)
2013-08-02 10:56 EDT, Justin Walker
no flags Details
File: xsession_errors (1.01 KB, text/plain)
2013-08-02 10:56 EDT, Justin Walker
no flags Details

  None (edit)
Description Justin Walker 2013-08-02 10:55:49 EDT
Description of problem:
Setting full screen option to True caused it to crash. Also, changing the resolution to anything other than the default also caused a crash.

Version-Release number of selected component:
warzone2100-3.1.0-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        warzone2100
crash_function: pushbuf_flush
executable:     /usr/bin/warzone2100
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 pushbuf_flush at pushbuf.c:425
 #1 nouveau_pushbuf_kick at pushbuf.c:773
 #2 PUSH_KICK at ../../../../src/gallium/drivers/nouveau/nouveau_winsys.h:56
 #3 nvc0_flush at nvc0_context.c:45
 #4 st_context_flush at ../../src/mesa/state_tracker/st_manager.c:459
 #5 dri_flush at dri_drawable.c:498
 #6 dri2SwapBuffers at dri2_glx.c:856
 #7 pie_ScreenFlip at piemode.cpp:99
 #8 realmain at main.cpp:1289
Comment 1 Justin Walker 2013-08-02 10:55:53 EDT
Created attachment 781991 [details]
File: backtrace
Comment 2 Justin Walker 2013-08-02 10:55:55 EDT
Created attachment 781992 [details]
File: cgroup
Comment 3 Justin Walker 2013-08-02 10:55:58 EDT
Created attachment 781993 [details]
File: core_backtrace
Comment 4 Justin Walker 2013-08-02 10:56:06 EDT
Created attachment 781994 [details]
File: dso_list
Comment 5 Justin Walker 2013-08-02 10:56:09 EDT
Created attachment 781995 [details]
File: environ
Comment 6 Justin Walker 2013-08-02 10:56:12 EDT
Created attachment 781996 [details]
File: limits
Comment 7 Justin Walker 2013-08-02 10:56:20 EDT
Created attachment 781997 [details]
File: maps
Comment 8 Justin Walker 2013-08-02 10:56:23 EDT
Created attachment 781998 [details]
File: open_fds
Comment 9 Justin Walker 2013-08-02 10:56:26 EDT
Created attachment 781999 [details]
File: proc_pid_status
Comment 10 Justin Walker 2013-08-02 10:56:28 EDT
Created attachment 782000 [details]
File: var_log_messages
Comment 11 Justin Walker 2013-08-02 10:56:31 EDT
Created attachment 782001 [details]
File: xsession_errors
Comment 12 Jan Synacek 2013-08-08 08:33:57 EDT
Changing component to nouveau.
Comment 13 Fedora End Of Life 2015-01-09 14:14:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 11:31:17 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.